OpenTTD Source: Data Fields - Variables

OpenTTD Source 1.11.0-RC1

### - c -

- c : Units , UnitsLong
- cache : FreeUnitIDGenerator , Town
- cache_valid : NewGRFCache
- cached_air_drag : GroundVehicleCache
- cached_anim_triggers : BaseStation
- cached_axle_resistance : GroundVehicleCache
- cached_cargo_age_period : VehicleCache
- cached_cargo_triggers : BaseStation
- cached_destinations : StationViewWindow
- cached_links : LinkGraphOverlay
- cached_max_curve_speed : TrainCache
- cached_max_range : AircraftCache
- cached_max_range_sqr : AircraftCache
- cached_max_speed : VehicleCache
- cached_max_te : GroundVehicleCache
- cached_max_track_speed : GroundVehicleCache
- cached_name : BaseStation , Industry , Town
- cached_power : GroundVehicleCache
- cached_relative_count : VehicleResolverObject
- cached_slope_resistance : GroundVehicleCache
- cached_stations : LinkGraphOverlay
- cached_tilt : TrainCache
- cached_total_length : GroundVehicleCache
- cached_veh_length : GroundVehicleCache
- cached_vis_effect : VehicleCache
- cached_weight : GroundVehicleCache
- caches : FontCache
- call_handler : AllowedSubtags
- callback : CommandContainer , NetworkHTTPContentConnecter , NetworkHTTPSocketHandler , ResolverObject , Script_Suspend , ScriptInstance , SetDateWindow
- callback_mask : AirportTileSpec , CanalProperties , CargoSpec , EngineInfo , HouseSpec , IndustrySpec , IndustryTileSpec , ObjectSpec , StationSpec , WaterFeature
- callback_param1 : ResolverObject
- callback_param2 : ResolverObject
- callback_proc : FiosFileScanner
- callback_value : ScriptStorage
- callbacks : ClientNetworkContentSocketHandler , NIFeature
- caller_grfid : NewGRFInspectWindow
- calls : NewGRFProfiler
- can_do_autorefit : OrdersWindow
- can_do_refit : OrdersWindow
- canal_local_properties : GRFFile
- canal_speed_frac : ShipVehicleInfo
- cancel_button : QueryString
- cap : Scrollbar
- capacities : LinkRefresher
- capacity : ByteBlob::BlobHeader , CargoSummaryItem , CBinaryHeapT< T > , LinkGraph::BaseEdge , LinkProperties , LinkRefresher::RefitDesc , LRUCache< Tkey, Tdata > , Path , RailVehicleInfo , RefitDesc , RefitResult , SmallMatrix< T > , TestedEngineDetails
- caption : OskWindow , QueryWindow
- caret : Textbuf
- caretpos : Textbuf
- caretxoffs : Textbuf
- cargo : CargoDataEntry , CargoesField , CargoSummaryItem , GoodsEntry , LinkGraph , LinkRefresher , LinkRefresher::Hop , LinkRefresher::RefitDesc , RefitDesc , RefitOption , RefitWindow , TestedEngineDetails , Vehicle
- cargo_acceptance : HouseSpec
- cargo_age_counter : Vehicle
- cargo_age_period : EngineInfo
- cargo_cap : Vehicle
- cargo_days_in_transit : CargoList< Tinst, Tcont >
- cargo_field_width : CargoesField
- cargo_filter : BuildVehicleWindow , IndustryDirectoryWindow
- cargo_filter_criteria : BuildVehicleWindow
- cargo_filter_texts : BuildVehicleWindow , IndustryDirectoryWindow
- cargo_input : IndustryProductionSpriteGroup
- cargo_label : CargoesField
- CARGO_LINE_COLOUR : CargoesField
- cargo_list : GRFFile
- cargo_map : GRFFile
- cargo_mask : LinkGraphOverlay
- cargo_output : IndustryProductionSpriteGroup
- cargo_payment : Vehicle
- CARGO_STUB_WIDTH : CargoesField
- cargo_subtype : Vehicle
- cargo_textsize : IndustryCargoesWindow
- cargo_threshold : StationSpec
- cargo_triggers : StationSpec
- cargo_type : StationScopeResolver , Subsidy , Vehicle
- cargoes : CargoesField
- case_map : LanguageMap
- case_sensitive : StringFilter
- case_sensitive_break_check : AIDebugWindow
- caseidx : Case
- cases : LanguagePackHeader
- cat : SettingDescBase
- cat_index : MusicSongInfo
- catchment : AirportSpec
- catchment_tiles : Station
- category : AILibrary , GameLibrary , PriceBaseSpec
- cb : NewGRFProfiler::Call
- cb_bit : NICallback
- cb_id : NICallback
- center : ViewportSign
- cgcontext : VideoDriver_CocoaQuartz
- chain : LoadFilter , SaveFilter
- chain_index : NewGRFInspectWindow
- change : LoggedAction
- change_blitter : VideoDriver
- change_date : Cheats
- changes : LoggedAction
- channels : MpsMachine
- char_itr : IcuStringIterator
- char_stop : OSXStringIterator::CharInfo , UniscribeStringIterator::CharInfo
- chars : Textbuf
- chat_height : NewsWindow
- check_proc : IndustrySpec
- check_result : MD5File
- checkable : LoadCheckData
- checkbox_size : NetworkContentListWindow
- child : NWidgetBackground , TileLayoutRegisters
- children : CargoDataEntry
- CHUNK : PacketReader
- ci : ContentTextfileWindow
- city : FoundTownWindow
- class_id : HouseClassMapping , HouseSpec
- classes : CargoSpec , NewGRFClass< Tspec, Tid, Tmax >
- cleaning : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- cleanup_flag : IndustrySpec
- clear_cost_multiplier : ObjectSpec
- clear_cursor_cache : OpenGLBackend
- clear_frame_burst : ConstructionSettings
- clear_limit : CompanyProperties
- clear_per_64k_frames : ConstructionSettings
- click_beep : SoundSettings
- click_delay : DropdownWindow
- click_tile_proc : TileTypeProcs
- click_x : RefitWindow
- clicked : NWidgetMatrix
- clicked_button : AISettingsWindow , IndustryViewWindow , NewGRFParametersWindow
- clicked_dropdown : AISettingsWindow , NewGRFParametersWindow
- clicked_entry : GameSettingsWindow
- clicked_increase : AISettingsWindow , NewGRFParametersWindow
- clicked_line : IndustryViewWindow
- clicked_pixel : NewGrfDebugSpritePicker
- clicked_row : AISettingsWindow , NewGRFParametersWindow
- client_addr : NetworkContentSocketHandler
- client_address : ServerNetworkGameSocketHandler
- client_id : NetworkClientInfo , NetworkGameSocketHandler
- client_lang : NetworkClientInfo
- client_name : NetworkClientInfo , NetworkSettings
- client_playas : NetworkClientInfo
- clients : NetworkCompanyInfo
- clients_max : NetworkGameInfo
- clients_on : NetworkServerGameInfo
- climate : ObjectSpec
- climate_availability : IndustrySpec
- climates : EngineInfo
- clone : OrderBackup
- close : NewsSettings
- close_cond : TooltipsWindow
- closebox_dimension : NWidgetLeaf
- closedlist_hash : AyStar
- closing_dropdown : AISettingsWindow , GameSettingsWindow , NewGRFParametersWindow
- closure_text : IndustrySpec
- cls : WindowDesc
- cls_id : AirportSpec , ObjectSpec , StationSpec
- cmd : CommandContainer , SaveLoad , SettingDescBase
- cmdline : IConsoleAlias
- cmp_mode : RandomizedSpriteGroup
- cocoaview : VideoDriver_Cocoa
- code : DefaultUnicodeMapping
- col_break : LegendAndColour
- color_space : VideoDriver_Cocoa
- colour : ChatMessage , CompanyNewsInformation , CompanyProperties , GoalQuestionWindow , IConsoleLine , ICU_FONTINSTANCE , LegendAndColour , NWidgetCore , NWidgetMatrix , NWidgetPartWidget , Object
- colour1 : Livery
- colour2 : Livery
- colour_count : SmallMapColourScheme
- colour_stack : FontState
- coloured_news_year : GUISettings
- colourmap : Vehicle
- colours : SpriteLoader::Sprite
- column_size : VehicleGroupWindow
- column_width : SmallMapWindow
- columns : CargoesRow
- combine_sprites : ViewportDrawer
- command_pause_level : ConstructionSettings
- commands_per_frame : NetworkSettings
- comment : IniGroup , IniItem , IniLoadFile
- companies : LoadCheckData
- companies_max : NetworkGameInfo
- companies_on : NetworkGameInfo
- company : ClientSettings , CommandPacket , Goal , HighScore , LegendAndColour , NetworkLobbyWindow , ScriptStorage , StoryPage , VehicleListIdentifier
- company_avail : Engine
- company_hidden : Engine
- company_info : NewsSettings
- company_information : NewGRFCache
- company_mask : LinkGraphOverlay
- company_name : CompanyNewsInformation , NetworkCompanyInfo
- company_value : CompanyEconomyEntry , NetworkCompanyInfo
- compatible : NetworkGameInfo
- compatible_railtypes : RailtypeInfo
- compatible_roadtypes : RoadVehicle
- competitor_speed : DifficultySettings
- compiled_strings : GameStrings
- complete_labels : GRFParameterInfo , ScriptConfigItem
- completed : Goal
- compression : BmpInfo
- COMPRESSION_INTERVAL : LinkGraph
- config_list : ScriptConfig , ScriptInfo
- confirm : SoundSettings
- conflicting : IndustrySpec
- connect_time : ServerNetworkAdminSocketHandler
- connect_to_ip : NetworkSettings
- connected : TCPConnecter
- consist_capleft : FinalizeRefitAction , PrepareRefitAction
- consist_cargo_information : NewGRFCache
- consistent_max_offset : NewGRFSpriteLayout
- console_backlog_length : GUISettings
- console_backlog_timeout : GUISettings
- construction : GameSettings
- construction_cost : DifficultySettings
- construction_date : Industry
- construction_type : Industry
- cont : GetOptData
- cont_flags : NWidgetPart
- container_ver : SpriteCache
- content : NetworkContentListWindow
- content_type : BaseSetTextfileWindow< TBaseSet >
- content_type_strs : NetworkContentListWindow
- context : RailTypeScopeResolver , RoadTypeScopeResolver
- controller : ScriptInstance
- conv : SaveLoad
- convert : RailtypeInfo
- convert_rail : RailtypeInfo
- convert_road : RoadTypeInfo
- coord : Vehicle
- cost : BaseGraphWindow , CommandCost , TestedEngineDetails
- cost_factor : RailVehicleInfo
- cost_multiplier : IndustrySpec , RailtypeInfo , RoadTypeInfo
- costs : ScriptStorage
- count : BuildIndustryWindow , CargoDataEntry , CargoList< Tinst, Tcont > , CargoPacket , CommandQueue , NewGRFClass< Tspec, Tid, Tmax > , NWidgetMatrix , ReusableBuffer< T > , Scrollbar
- count_dirty : Palette
- counter : Industry
- COUNTER_STEP : StatusBarWindow
- counts : Industry , Object
- coverage_height : BuildRailStationWindow
- crash_anim_pos : Train
- crashdump_filename : CrashLogWindows
- crashed : Squirrel
- crashed_counter : Aircraft
- crashed_ctr : RoadVehicle
- crashlog : CrashLogWindows
- crashlog_filename : CrashLogWindows
- criteria : Filtering , Listing
- crossing : RailtypeInfo
- crossing_tunnels : Cheats
- cs : Packet , PacketWriter
- ct : CargoPayment , LoggedChange
- ctlflags : Industry
- ctt_exclude_mask : GRFTempEngineData
- ctt_include_mask : GRFTempEngineData
- cur_call : NewGRFProfiler
- cur_colour : FontState
- cur_economy : CompanyProperties
- cur_fh : Fio
- cur_id : BaseNetworkContentDownloadStatusWindow
- cur_implicit_order_index : BaseConsist
- cur_language : GameStrings
- cur_offset : CoreTextParagraphLayout
- cur_pos : OSXStringIterator , UniscribeStringIterator
- cur_program : MpsMachine::Channel
- cur_range : UniscribeParagraphLayout
- cur_range_offset : UniscribeParagraphLayout
- cur_real_order_index : BaseConsist
- cur_speed : Vehicle
- curFile : ClientNetworkContentSocketHandler
- curid : FreeUnitIDGenerator
- curInfo : ClientNetworkContentSocketHandler
- currency : LocaleSettings
- current : CrashLogWindows , LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer > , PacketWriter
- current_edit_param : NewGRFInspectWindow
- current_loan : CompanyProperties
- current_mode : StationViewWindow
- current_order : Vehicle
- current_order_time : BaseConsist
- current_sprite : SpriteAlignerWindow
- current_station : CargoPayment
- current_tempo : MpsMachine
- current_x : NWidgetBase
- current_y : NWidgetBase
- cursor : RailtypeInfo , RoadTypeInfo
- cursor_cache : OpenGLBackend
- curve_speed : RailtypeInfo
- cust_cargoes : CargoesField
- custom_1 : MusicSettings
- custom_2 : MusicSettings
- custom_message : GRFError
- custom_sea_level : GameCreationSettings
- custom_town_number : GameCreationSettings
- custom_value : ScriptConfigItem
- cycle_signal_types : GUISettings